Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class PhoneResourceSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.PhoneResourceSubscription

All Implemented Interfaces:
  `Serializable`, `Idable`

public class PhoneResourceSubscription extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneResourceSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `long`
  `getPhone()`
  `int`
  `getPhoneResourseId()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `PhoneResourceSubscription`
  `setDateFrom(Date dateFrom)`
  `PhoneResourceSubscription`
  `setDateTo(Date dateTo)`
  `PhoneResourceSubscription`
  `setId(int id)`
  Устанавливает id объекта
  `PhoneResourceSubscription`
  `setPhone(long phone)`
  `PhoneResourceSubscription`
  `setPhoneResourseId(int phoneResourseId)`
  `PhoneResourceSubscription`
  `setSubscriberId(int subscriberId)`
  `PhoneResourceSubscription`
  `setSubscriberTitle(String subscriberTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResourceSubscription

    public PhoneResourceSubscription()

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getPhone

    public long getPhone()

  - ### getPhoneResourseId

    public int getPhoneResourseId()

  - ### getSubscriberId

    public int getSubscriberId()

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setDateFrom

    public PhoneResourceSubscription setDateFrom(Date dateFrom)

  - ### setDateTo

    public PhoneResourceSubscription setDateTo(Date dateTo)

  - ### setId

    public PhoneResourceSubscription setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setPhone

    public PhoneResourceSubscription setPhone(long phone)

  - ### setPhoneResourseId

    public PhoneResourceSubscription setPhoneResourseId(int phoneResourseId)

  - ### setSubscriberId

    public PhoneResourceSubscription setSubscriberId(int subscriberId)

  - ### setSubscriberTitle

    public PhoneResourceSubscription setSubscriberTitle(String subscriberTitle)